@import url('https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700,800,900&display=swap');

*
{
    margin: 0;
    padding: 0;
    /*box-sizing: border-box;*/
    font-family: "Poppins", sans-serif;
}
body
{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height:  100vh;
    background: #fff;
    border-radius: 50%;
}
.calculator
{
    position: relative;
    display: grid;
    cursor: pointer;
}
.calculator .value 
{
    grid-column: span 4;
    height: 100px;
    text-align: right;
    border: none;
    outline: none;
    padding: 10px;
    background: #1c1c1c;
    color: #fff;
    font-size: large;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}
.calculator span
{
   display: grid;
   width: 60px;
   height: 60px;
   color: #fff;
   background: #616363;
   place-items: center;
   border: 1px solid rgba(0, 0, 0, 0.1);
   font-size: 25px;
}
.calculator span:active 
{
    background: #a9aaac;
    color: #111;
}
.calculator span.clear
{
   grid-column: span 1;
   background: #3e3e3e;
}
.calculator span.plus 
{
  grid-row: span 1;
  background: #ffb700;
}
.calculator span.equal
{
    border-bottom-right-radius: 10px;
    background: #ffb700;
}
.calculator span.pluns {
    font-size: 20px;
    background: #3e3e3e;
}
.calculator span.multi {
    background: #ffb700;
}
.calculator span.divide {
    background: #ffb700;
}
.calculator span.minus {
    background: #ffb700;
}
.calculator span.zero {
    grid-column: span 2;
    width: 122px;
    border-bottom-left-radius: 10px;
}
